%global _hardened_build 1

Name:		workspace

Version:	1.1.0
Release:	1%{?dist}
Summary:	A tool to create scratch directories by users with an expiration date

License:	GPLv3
URL:		https://github.com/holgerBerger/hpc-workspace
Source0:	https://github.com/holgerBerger/hpc-workspace/archive/v%{version}/%{name}-%{version}.tar.gz
# - patch the version to be correct from 1.0.0 to 1.1.0, this is already in
#   upstream
# - remove the cmake_cxx_flags settings in the file CMakeLists.txt because this
#   override the build flags form the optflags macro and so allows the use of
#   the cmake macro in this spec file
Patch0:		ws_1.1.0_CMakeLists.patch

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	ncurses-devel
BuildRequires:	yaml-cpp-devel
BuildRequires:	python3-pyyaml

Requires:	python3-pyyaml


%description
A **workspace** is a directory, with an associated expiration date, created on
behalf of a user, to prevent disks from uncontrolled filling.
The project provides user and admin tools to manage those directories.


%prep
%setup -q -n hpc-%{name}-%{version}
%patch0


%build
%cmake .
%make_build


%install
%make_install
install -p -m 755 contribs/ws_prepare %{buildroot}%{_sbindir}/ws_prepare


%files
%license LICENSE
%doc README.md admin-guide.md user-guide.md ws.conf ws.conf_full_sample
%{_bindir}/ws_extend
%{_bindir}/ws_find
%{_bindir}/ws_list
%{_bindir}/ws_register
%{_bindir}/ws_send_ical
# sbin/ws_restore is only for root
%{_sbindir}/ws_*
%{_mandir}/man1/ws_*

# this files need setuid
%defattr(4111,root,root)
%{_bindir}/ws_allocate
%{_bindir}/ws_release
%{_bindir}/ws_restore


%changelog
* Thu Apr 02 2020 Gerd Pokorra <gp@zimt.uni-siegen.de> - 1.1.0-1
- add a comment above the patch to explain it
- separate BRs one per line
- wrap description
- remove the CXXFLAGS settings in CMakeLists.txt
- add use of _hardened_build
- add patch for version number
- improved the source tag
- updated to the new upstream version
- initail spec file
